Le Forum de l'Alliance Francophone

Boinc et les projets distribués => Astronomie => Discussion démarrée par: [AF>Amis des Lapins] Jean-Luc le 22 mai 2011 à 12:14

Titre: [RESOLU] MilkyWay m'envoie les mauvais travaux
Posté par: [AF>Amis des Lapins] Jean-Luc le 22 mai 2011 à 12:14
Bonjour à tous,

Je suis équipé d'une machine qui a une carte ATI 5870.
Or, MilkyWay m'envoie du travail "0.62 (ATI 14)", qui se termine en 2 secondes par un "erreur de calcul".
Manifestement, ce sont les mauvaises taches qui me sont envoyées !
J'ai le dermier pilote pour ma carte !
Comment puis-je changer cela ?

Merci à vous...

Jean-Luc
Titre: Re : MilkyWay m'envoie les mauvais travaux
Posté par: Jaehaerys Targaryen le 22 mai 2011 à 12:16
Il ne faut pas un truc en plus pour les ATIs ? je sais plus regarde dans le topic milkyway peut être
Titre: Re : MilkyWay m'envoie les mauvais travaux
Posté par: [AF>Amis des Lapins] Jean-Luc le 22 mai 2011 à 12:17
Oui, je vais aller y jeter un coup d'oeil !
Jean-Luc
Titre: Re : MilkyWay m'envoie les mauvais travaux
Posté par: [AF>Amis des Lapins] Jean-Luc le 22 mai 2011 à 12:28
Rien de très convainquant. Et on ne me propose que de télécharger pour du 32 bits, je suis en 64 bits.
De toute façon, j'ai le dernier pilote.
Tout se passe comme si MilkyWay ne reconnaissait pas ma carte !
Le pire, cest que quand j'avais la version 6.10.56 de Boinc, il m'envoyait les bons travaux !!!
Depuis que je suis passé à la 6.10.60 et ensuite à la 6.12.26, ça na va plus !
Titre: Re : Re : MilkyWay m'envoie les mauvais travaux
Posté par: jip le 22 mai 2011 à 12:33
Il ne faut pas un truc en plus pour les ATIs ? je sais plus regarde dans le topic milkyway peut être

seulement pour les projet qui tournent en opencl. pour les autres les pilotes proprios standard suffisent.
Titre: Re : MilkyWay m'envoie les mauvais travaux
Posté par: [AF>Amis des Lapins] Jean-Luc le 22 mai 2011 à 12:37
Alors il ne doit probablement rien avoir à y faire !
Tant pis, je fais tourner uniquement du Collatz à la place.
PrimeGrid plante aussi sur mon ATI sans que je sache pourquoi !
Titre: Re : MilkyWay m'envoie les mauvais travaux
Posté par: Sébastien le 22 mai 2011 à 12:42
Rien de très convainquant. Et on ne me propose que de télécharger pour du 32 bits, je suis en 64 bits.
De toute façon, j'ai le dernier pilote.
Tout se passe comme si MilkyWay ne reconnaissait pas ma carte !
Le pire, cest que quand j'avais la version 6.10.56 de Boinc, il m'envoyait les bons travaux !!!
Depuis que je suis passé à la 6.10.60 et ensuite à la 6.12.26, ça na va plus !

As-tu essayé de revenir à la version 6.10.56.
http://boinc.berkeley.edu/dl/boinc_6.10.56_windows_x86_64.exe

Tu as une carte ATI et une carte NVIDIA dans ton PC. Le problème vient peut-être de là.
Titre: Re : MilkyWay m'envoie les mauvais travaux
Posté par: [AF>Amis des Lapins] Jean-Luc le 22 mai 2011 à 12:46
Non, je n'ai pas essayé de repasser à la 6.10.56.
Mais si je fais ce "retour en arrière", mes travaux ne seront-ils pas "moins bien gérés" ?
Sinon, y a-t-il d'autres personnes que moi qui ont des GPU des deux marques dans leur machine et qui rencontrent ces problèmes ?
Titre: Re : Re : MilkyWay m'envoie les mauvais travaux
Posté par: jip le 22 mai 2011 à 12:54
PrimeGrid plante aussi sur mon ATI sans que je sache pourquoi !

ah là par contre avec ati faut opencl en plus justement.
Titre: Re : MilkyWay m'envoie les mauvais travaux
Posté par: toTOW le 22 mai 2011 à 13:28
On dirait quand même un problème d'OpenCL ...

Tu es sur que tu as bien les Catalyst APP (qui incluent OpenCL) ?
Titre: Re : MilkyWay m'envoie les mauvais travaux
Posté par: [AF>Libristes] nico8313 le 22 mai 2011 à 13:44
Pilote ATI 64 bit windo7  incluant OpenCL  ici

http://sites.amd.com/us/game/downloads/Pages/radeon_win7-64.aspx
Titre: Re : Re : MilkyWay m'envoie les mauvais travaux
Posté par: Jaehaerys Targaryen le 22 mai 2011 à 13:53
Il ne faut pas un truc en plus pour les ATIs ? je sais plus regarde dans le topic milkyway peut être

Alors je ne disais pas de bêtises, il faut bien un truc en plus....
Titre: Re : Re : Re : MilkyWay m'envoie les mauvais travaux
Posté par: [AF>Libristes] nico8313 le 22 mai 2011 à 13:58
Alors je ne disais pas de bêtises, il faut bien un truc en plus....

Le truc en plus comme tu dis c'est OpenCL qui n'était pas inclus dans les anciens pilote !
A l'époque (pas si lointain ) il fallait même installer le SDK !  le kit de développement pour pouvoir utiliser OpenCL

maintenant tout ça est inclus dans les derniers pilotes
Titre: Re : Re : Re : MilkyWay m'envoie les mauvais travaux
Posté par: jip le 22 mai 2011 à 14:08
Alors je ne disais pas de bêtises, il faut bien un truc en plus....

pour milky pas besoin d'opencl ...

pour primegrid si ...

opencl n'a été signalé qu'au moment où il a été signalé les erreurs sur primegrid. mais pas pour milkyway ...

relis les réponses ... :siflotte:
Titre: Re : MilkyWay m'envoie les mauvais travaux
Posté par: [AF>Libristes] nico8313 le 22 mai 2011 à 14:29
Jean-Luc  :hello:

tu peux aussi essayer de te détacher du projet et te rattacher !
ça peut résoudre le problème !
Titre: Re : MilkyWay m'envoie les mauvais travaux
Posté par: [AF>Amis des Lapins] Jean-Luc le 22 mai 2011 à 14:56
nico8313,
Tu avais raison !
Super ton adresse.
Je ne sais pas si c'était OpenCL qui me manquait pour MilkyWay, mais avec ton nouveau pilote, il foctionne de nouveau !
Mon problème pour MilkyWay est donc résolu !
Merci à tous
Titre: Re : Re : MilkyWay m'envoie les mauvais travaux
Posté par: jip le 22 mai 2011 à 15:45
Je ne sais pas si c'était OpenCL qui me manquait pour MilkyWay, mais avec ton nouveau pilote, il foctionne de nouveau !

bon on va redire ...

Milkyway fut le 1er projet a tourner sur gpu ati sur boinc (je crois me rappeler que le 1er en nvidia fut GPUGrid ...), a un moment où opencl n'était même pas implémenté ... c'était du brook/cal.

opencl sur ati est très récent et actuellement pas des plus performant par rapport à brook/cal.

Milkyway n'a donc pas nécessité opencl (même si je crois y'a eu une tentative avortée pour le portage sur GNU/Linux, pour cause de mauvaises performances).
Ce qui n'est pas le cas pour les appli milkyway nvidia qui semblent, à priori, passer par opencl (plus performant chez nvidia il semblerait) : http://milkyway.cs.rpi.edu/milkyway/apps.php

Donc, maintenant, même sur GNU/Linux c'est du brook/cal (donc point d'opencl).
Ceci étant, visiblement, sur Milkyway ils utilisent un sdk plus récent qui doit nécessiter un pilote plus à jour.

Par contre, le 1er projet boinc en opencl a été réalisé sur primegrid, par portage du source cuda de nvidia, au départ sous GNU/Linux, puis rapidement sous windows.
L'installation du runtime opencl sous GNU/Linux était un peu galère au départ (tout le sdk complet en manuel), puis quelqu'un a fait un package pour les distrib de la branche debian (dont ubuntu) avec seulement le nécessaire pour l'exécution.
Et sous windows, ça consistait en une appli d'installation du sdk complet (maintenant ati livre une install de la runtime seule).
Titre: Re : [RESOLU] MilkyWay m'envoie les mauvais travaux
Posté par: jip le 22 mai 2011 à 15:51
J'ai le dermier pilote pour ma carte !

Alors c'était quelle version avant ta mise à jour qui a résolu ?

Pas la 11.5 ou la 11.4 (qui fonctionne chez moi sur du w7 64b et du ubuntu 10.04 64b ....

Plus ancien que ça ? la version sur le cd livré avec la carte ?
Titre: Re : [RESOLU] MilkyWay m'envoie les mauvais travaux
Posté par: [AF>Amis des Lapins] Jean-Luc le 22 mai 2011 à 16:24
Malheureusement, je n'ai pas gardé trace de mon ancien pilote !
Ce n'était pas celui d'origine.
Mais lorsque j'ouvre GPU-Z, à côté de "Computing", sont cochées les cases "OpenCL" et "DirectCompute 5.0".
Moi, je ne sais pas interpretter cela !
Titre: Re : Re : [RESOLU] MilkyWay m'envoie les mauvais travaux
Posté par: jip le 22 mai 2011 à 19:35
Malheureusement, je n'ai pas gardé trace de mon ancien pilote !
Ce n'était pas celui d'origine.
Mais lorsque j'ouvre GPU-Z, à côté de "Computing", sont cochées les cases "OpenCL" et "DirectCompute 5.0".
Moi, je ne sais pas interpretter cela !

oui, sur le lien donné par notre ami nico, si t'as pris le pack complet, tu as aussi les runtime opencl.

pour ton ancien il adû laisser une trace de sa décompression avant install sur "c:\ati\support" les dossiers donnent les versions de ce qui a été installé.
Titre: Re : [RESOLU] MilkyWay m'envoie les mauvais travaux
Posté par: [AF>Amis des Lapins] Jean-Luc le 22 mai 2011 à 20:49
OK, j'ai retrouvé les traces : je n'en avais que deux versions : la 10.6 dd_ccc_enu et la 11.5 dd_ccc_ocl
Avec cette dernière, ça plantait !
Titre: Re : Re : [RESOLU] MilkyWay m'envoie les mauvais travaux
Posté par: jip le 22 mai 2011 à 21:45
OK, j'ai retrouvé les traces : je n'en avais que deux versions : la 10.6 dd_ccc_enu et la 11.5 dd_ccc_ocl
Avec cette dernière, ça plantait !

tu veux dire avec la 10.6 ?? pas avec la 11.5 quand même ?? :??: :??: :??:

c'est bien la mise à jour vers la 11.5 qui a résolu ton pb, non ? :??: :??:
Titre: Re : [RESOLU] MilkyWay m'envoie les mauvais travaux
Posté par: [AF>Amis des Lapins] Jean-Luc le 22 mai 2011 à 23:17
Oui, pardon, autant pour moi ! Je me suis gouré !
Titre: Re : [RESOLU] MilkyWay m'envoie les mauvais travaux
Posté par: jip le 22 mai 2011 à 23:26
ah ok. alors avec une version 10.6 c'est pas étonnant avec la dernière appli milky.

j'ai du upgrader aussi (sans opencl au départ sous win. rajouté après pour prime).

ça colle.
Titre: Re : Re : [RESOLU] MilkyWay m'envoie les mauvais travaux
Posté par: toTOW le 23 mai 2011 à 00:13
OK, j'ai retrouvé les traces : je n'en avais que deux versions : la 10.6 dd_ccc_enu et la 11.5 dd_ccc_ocl
Avec cette dernière, ça plantait !

La première n'a pas OpenCL, c'est pour ca que ca plantait. C'est dans le nom de fichier quand tu as OpenCl inclu (ocl).
Titre: Re : Re : Re : [RESOLU] MilkyWay m'envoie les mauvais travaux
Posté par: jip le 23 mai 2011 à 07:55
La première n'a pas OpenCL, c'est pour ca que ca plantait. C'est dans le nom de fichier quand tu as OpenCl inclu (ocl).

euh t'as lu les autres posts avant   :??: :??: ... opencl manquant n'expliquait QUE les plantages de primegrid !!

Pas ceux de Milky !!! C'est le fait que la dernière appli utilise un SDK Brook/Cal plus récent et donc un pilote plus récent ! La 10.6 ne suffisait plus pour Milky !!!
Donc la màj en 11.5, même sans opencl suffisait. C'est d'ailleurs ce que j'ai fait au départ sur le même os pilote 11.4 sans opencl.

vous avez vu où qu'il fallait OpenCL avec Milky pour les ati (par contre avec nvidia oui) ??????!!!!!

En mettant le pack complet, il a juste réglé le pb pour les 2 projets en même temps ...
Titre: Re : [RESOLU] MilkyWay m'envoie les mauvais travaux
Posté par: [AF>Amis des Lapins] Jean-Luc le 23 mai 2011 à 18:46
En tout cas, merci à vous pour toutes ces précisions !
Jean-Luc